import 'package:flutter/material.dart';
import 'package:knt_ui/knt_ui.dart';

import '../resources.dart';

class ItemCollectionSuggest extends StatelessWidget {
  const ItemCollectionSuggest({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Positioned(
          left: 0.w,
          right: 0.w,
          bottom: 0.w,
          child: Container(
            width: 104.w,
            height: 124.w,
            decoration: BoxDecoration(
              gradient: const LinearGradient(
                colors: [
                  ColorName.canadianPine,
                  ColorName.black,
                ],
                stops: [
                  0.00,
                  1.00,
                ],
              ),
              borderRadius: BorderRadius.circular(6.w),
            ),
          ),
        ),
        Positioned(
          left: 0.w,
          right: 0.w,
          bottom: 0.w,
          child: KntImage.assets(
            uri: Assets.images.imgCollectionBathroom.path,
            width: 104.w,
            height: 140.w,
          ),
        ),
        Positioned(
          right: 8.w,
          top: 8.w,
          child: KntImage.assets(
            uri: Assets.images.icPicked.path,
            width: 24.w,
            height: 24.w,
          ),
        ),
        Positioned(
          left: 0.w,
          right: 0.w,
          bottom: 4.w,
          child: Text(
            LocaleKeys.item_collectionSuggest_nameCollection.tr(),
            style: TextStyle(
              color: ColorName.white,
              fontFamily: FontFamily.montserrat,
              fontSize: 13.sp,
              fontWeight: FontWeight.w400,
              height: 24.sp / 13.sp,
            ),
          ),
        ),
      ],
    );
  }
}
