import 'package:example/resources.dart';
import 'package:flutter/material.dart';
import 'package:knt_ui/knt_ui.dart';

import 'item_collection_suggest.dart';

class ItemSectionCollection extends StatelessWidget {
  const ItemSectionCollection({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(
              LocaleKeys.item_sectionCollection_nameSectionCollection.tr(),
              style: TextStyle(
                color: ColorName.intotheStratosphere,
                fontFamily: FontFamily.montserrat,
                fontSize: 16.sp,
                fontWeight: FontWeight.w600,
                height: 24.sp / 16.sp,
              ),
            ),
            KntImage.assets(
              uri: Assets.images.icExpanding.path,
              width: 24.w,
              height: 24.w,
            ),
          ],
        ),
        SizedBox(height: 24.w),
        Expanded(
          child: GridView.builder(
            physics: const BouncingScrollPhysics(),
            gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
              crossAxisCount: 2,
              mainAxisSpacing: 8.w,
              crossAxisSpacing: 8.w,
              childAspectRatio: 104 / 124,
            ),
            itemBuilder: (context, index) => const ItemCollectionSuggest(),
            itemCount: 1,
          ),
        ),
      ],
    );
  }
}
