import 'package:flutter/material.dart';
import 'package:knt_ui/knt_ui.dart';

import '../../resources.dart';

class AutoDiagnose extends StatelessWidget {
  const AutoDiagnose({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 16.w),
      decoration: BoxDecoration(
        color: ColorName.white,
        borderRadius: BorderRadius.circular(8.w),
        boxShadow: [
          BoxShadow(
            color: ColorName.black.withAlpha(25),
            blurRadius: 10.w,
            offset: Offset(0.w, 0.w),
          ),
        ],
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 16.w),
          Text(
            LocaleKeys.custom_diagnose_autoDiagnostic.tr(),
            style: TextStyle(
              color: ColorName.eerieBlack,
              fontFamily: FontFamily.montserrat,
              fontSize: 18.sp,
              fontWeight: FontWeight.w700,
              height: 27.sp / 18.sp,
            ),
          ),
          SizedBox(height: 8.w),
          Text(
            LocaleKeys.custom_diagnose_diagnosticSubtitle.tr(),
            style: TextStyle(
              color: ColorName.black,
              fontFamily: FontFamily.montserrat,
              fontSize: 14.sp,
              fontWeight: FontWeight.w400,
              height: 16.sp / 14.sp,
            ),
          ),
          SizedBox(height: 16.w),
          SizedBox(
            width: 295.w,
            height: 140.w,
            child: Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                KntImage.assets(
                  uri: Assets.images.imgDiagnoseBefore.path,
                  width: 140.w,
                  height: 140.w,
                ),
                SizedBox(width: 15.w),
                KntImage.assets(
                  uri: Assets.images.imgDiagnoseAfter.path,
                  width: 140.w,
                  height: 140.w,
                ),
              ],
            ),
          ),
          SizedBox(height: 24.w),
          KntSimpleButton(
            title: 'Start Diagnose',
            needFullWidth: false,
          ),
          SizedBox(height: 22.w),
        ],
      ),
    );
  }
}
