import 'package:flutter/material.dart';
import 'package:knt_ui/knt_ui.dart';

import '../../resources.dart';
import '../custom/auto_diagnose.dart';

class NewMainPage extends StatelessWidget {
  const NewMainPage({Key? key}) : super(key: key);

  static void push(BuildContext context) {
    Navigator.of(context).push(MaterialPageRoute(
      builder: (_) => const NewMainPage(),
    ));
  }

  @override
  Widget build(BuildContext context) {
    return KntBlackStatusBarPage(
      page: Scaffold(
        body: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            SizedBox(height: 60.w),
            Row(
              mainAxisSize: MainAxisSize.min,
              children: [
                SizedBox(width: 24.w),
                Expanded(
                  child: Text(
                    LocaleKeys.page_newMain_discoverPlant.tr(),
                    style: TextStyle(
                      color: ColorName.eerieBlack,
                      fontFamily: FontFamily.poppins,
                      fontSize: 24.sp,
                      fontWeight: FontWeight.w700,
                      height: 36.sp / 24.sp,
                    ),
                  ),
                ),
                SizedBox(width: 24.w),
                KntImage.assets(
                  uri: Assets.images.icPlace.path,
                  width: 22.w,
                  height: 33.w,
                ),
                SizedBox(width: 32.w),
              ],
            ),
            SizedBox(height: 24.w),
            Container(
              width: 322.w,
              height: 48.w,
              padding: EdgeInsets.symmetric(vertical: 12.w),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(3.w),
                border: Border.all(
                  color: ColorName.buddhaGreen,
                ),
              ),
              child: Row(
                mainAxisSize: MainAxisSize.min,
                children: [
                  SizedBox(width: 13.w),
                  KntImage.assets(
                    uri: Assets.images.icSearchGreen.path,
                    width: 24.w,
                    height: 24.w,
                  ),
                  SizedBox(width: 4.w),
                  Expanded(
                    child: KntSimpleEditText(
                      hintText: LocaleKeys.page_newMain_searchHint.tr(),
                      hintTextColor: ColorName.spanishGrey,
                      fontSize: 12.sp,
                    ),
                  ),
                  SizedBox(width: 4.w),
                  KntImage.assets(
                    uri: Assets.images.icMic.path,
                    width: 24.w,
                    height: 24.w,
                  ),
                  SizedBox(width: 11.w),
                ],
              ),
            ),
            SizedBox(height: 11.w),
            Expanded(
              child: ListView.builder(
                padding: EdgeInsets.only(
                  left: 33.w,
                  right: 34.w,
                ),
                physics: const BouncingScrollPhysics(),
                scrollDirection: Axis.horizontal,
                itemBuilder: (context, index) => Column(
                  mainAxisSize: MainAxisSize.min,
                  children: [
                    KntImage.assets(
                      uri: Assets.images.icReminderNew.path,
                      width: 48.w,
                      height: 48.w,
                    ),
                    SizedBox(height: 8.w),
                    Expanded(
                      child: Text(
                        LocaleKeys.page_newMain_reminder.tr(),
                        style: TextStyle(
                          color: ColorName.spanishGrey,
                          fontFamily: FontFamily.poppins,
                          fontSize: 10.sp,
                          fontWeight: FontWeight.w400,
                          height: 12.sp / 10.sp,
                        ),
                      ),
                    ),
                  ],
                ),
                itemCount: 1,
              ),
            ),
            SizedBox(height: 11.w),
            SizedBox(
              width: 327.w,
              height: 341.w,
              child: const AutoDiagnose(),
            ),
            SizedBox(height: 19.w),
            SizedBox(
              width: 327.w,
              height: 150.w,
              child: Stack(
                children: [
                  Positioned(
                    left: 0.w,
                    right: 0.w,
                    bottom: 0.w,
                    child: Container(
                      width: 327.w,
                      height: 108.w,
                      padding: EdgeInsets.symmetric(vertical: 36.w),
                      decoration: BoxDecoration(
                        color: ColorName.white,
                        borderRadius: BorderRadius.only(
                          topLeft: Radius.circular(20.w),
                          topRight: Radius.circular(20.w),
                        ),
                        boxShadow: [
                          BoxShadow(
                            color: ColorName.black.withAlpha(25),
                            blurRadius: 20.w,
                            offset: Offset(0.w, 4.w),
                          ),
                        ],
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          KntSimpleButton(
                            title: '',
                            needFullWidth: false,
                          ),
                          KntSimpleButton(
                            title: '',
                            needFullWidth: false,
                          ),
                        ],
                      ),
                    ),
                  ),
                  Positioned(
                    left: 129.w,
                    top: 0.w,
                    child: KntImage.assets(
                      uri: Assets.images.icTakePhotoNew.path,
                      width: 70.w,
                      height: 86.w,
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
