import 'package:flutter/material.dart';

import '../../model/photo.dart';
import '../knt_status_bar_page.dart';
import 'knt_gallery_view.dart';

class KntGalleryPage extends StatelessWidget {
  const KntGalleryPage({
    Key? key,
    this.photoList = const [],
    this.initIndex,
    this.maxPresentPhoto,
  }) : super(key: key);

  final List<Photo> photoList;
  final int? initIndex;
  final int? maxPresentPhoto;

  static void push(
    BuildContext context, {
    List<Photo> photoList = const [],
    int? initIndex,
    int? maxPresentPhoto,
  }) =>
      Navigator.of(context).push(MaterialPageRoute(builder: (context) {
        return KntGalleryPage(
          photoList: photoList,
          initIndex: initIndex,
          maxPresentPhoto: maxPresentPhoto,
        );
      }));

  @override
  Widget build(BuildContext context) {
    return KntWhiteStatusBarPage(
      page: Scaffold(
        body: KntGalleryView(
          photoList: photoList,
          initIndex: initIndex,
          maxPresentPhoto: maxPresentPhoto,
        ),
      ),
    );
  }
}
