import 'package:flutter/material.dart';

import '../../config.dart';

final defaultUriImage =
    'packages/knt_ui/assets/images/bg_no_image_avaiable.jpg';

class KntDefaultImage extends StatelessWidget {
  const KntDefaultImage({
    Key? key,
    this.uri,
    this.width,
    this.height,
    this.borderRadius,
    this.border,
    this.boxShadows,
  }) : super(key: key);

  final String? uri;
  final double? width;
  final double? height;
  final BorderRadius? borderRadius;
  final Border? border;
  final List<BoxShadow>? boxShadows;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: width,
      height: height,
      decoration: BoxDecoration(
        borderRadius: borderRadius,
        border: border,
        boxShadow: boxShadows,
        image: DecorationImage(
          image: AssetImage(
              uri ?? (KntUi.shared.assetsErrorPath ?? defaultUriImage)),
          fit: BoxFit.cover,
        ),
      ),
    );
  }
}
