import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../config.dart';
import 'painter/dash_line_painter.dart';

class KntDivider extends StatelessWidget {
  const KntDivider({
    Key? key,
    this.color,
  }) : super(key: key);

  final Color? color;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 1.sw,
      height: 0.5.w,
      color: color ?? KntUi.shared.secondaryColor,
    );
  }
}

class KntDashDivider extends StatelessWidget {
  const KntDashDivider({
    Key? key,
    this.color,
    this.strokeWidth,
    this.dashWidth,
    this.dashSpace,
  }) : super(key: key);

  final Color? color;
  final double? strokeWidth;
  final double? dashWidth;
  final double? dashSpace;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 1.sw,
      height: 0.5.w,
      child: CustomPaint(
        painter: DashedLinePainter(
          color: color ?? KntUi.shared.secondaryColor,
          strokeWidth: strokeWidth,
          dashWidth: dashWidth,
          dashSpace: dashSpace,
        ),
      ),
    );
  }
}
