import 'package:flutter/material.dart';

class KntRipple extends StatelessWidget {
  const KntRipple({
    Key? key,
    required this.child,
    this.onTap,
    this.borderRadius,
    this.backgroundColor,
  }) : super(key: key);

  final Widget child;
  final Function()? onTap;
  final BorderRadius? borderRadius;
  final Color? backgroundColor;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: backgroundColor ?? Colors.transparent,
        borderRadius: borderRadius,
      ),
      child: Material(
        color: Colors.transparent,
        clipBehavior: Clip.antiAlias,
        child: InkWell(
          onTap: onTap,
          splashColor: Colors.black38,
          highlightColor: Colors.black26,
          borderRadius: borderRadius,
          child: child,
        ),
      ),
    );
  }
}
