import 'package:flutter/material.dart';

class DashedLinePainter extends CustomPainter {
  const DashedLinePainter({
    this.color,
    this.strokeWidth,
    double? dashWidth,
    double? dashSpace,
  })  : this.dashWidth = dashWidth ?? 4.0,
        this.dashSpace = dashSpace ?? 1.5;

  final Color? color;
  final double? strokeWidth;
  final double dashWidth;
  final double dashSpace;

  @override
  void paint(Canvas canvas, Size size) {
    double startX = 0;
    final paint = Paint()
      ..color = color ?? Colors.grey
      ..strokeWidth = strokeWidth ?? 1.0;
    while (startX < size.width) {
      canvas.drawLine(Offset(startX, 0), Offset(startX + dashWidth, 0), paint);
      startX += dashWidth + dashSpace;
    }
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) => false;
}
